[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.MouseDown

Handles a mouse down message in the control.

## Declaration

Source position: extctrls.pp line 1639

`protected procedure TCustomControlBar.MouseDown(`
`Button: TMouseButton;`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); override;`

## Arguments

`Button` |  | Mouse button for the mouse down event.
`Shift` |  | Shift, Ctrl, or Alt modifier active when the mouse down event was detected.
`X` |  | Horizontal coordinate for the mouse pointer.
`Y` |  | Vertical coordinate for the mouse pointer.

## Description

MouseDown is an overridden method in TCustomControlBar which provides support for dragging the control band / control under the mouse pointer. It calls the inherited method on entry to validate the parent form, active control, and drag manager state. The inherited method also signals the OnMouseDown event handler (when assigned).

MouseDown ensures that the internal flags for band movement are set, and calls InitializeMove to prepare the hovered band control to be moved to a new position in the list of bands.

## See also

TCustomControlBar.InitializeMove |  | Prepares visible bands on the control bar for a drag and drop operation.
TControl.MouseDown |  | Handles a mouse down event for the control.
TControl.OnMouseDown |  | Event handler signalled when a mouse down event is handled for the control.